# fix_modify AtC internal_element_set

## syntax

fix_modify AtC internal_element_set <element-set-name>

- <element-set-name> = name of element set defining internal region, or off

## examples

`fix_modify AtC internal_element_set myElementSet` `fix_modify AtC internal_element_set off`

## description

Enables AtC to base the region for internal atoms to be an element set. If no ghost atoms are used, all the AtC atoms must be constrained to remain in this element set by the user, e.g., with walls. If boundary atoms are used in conjunction with Eulerian atom maps AtC will partition all atoms of a boundary or internal type to be of type internal if they are in the internal region or to be of type boundary otherwise.

## restrictions

If boundary atoms are used in conjunction with Eulerian atom maps, the Eulerian reset frequency must be an integer multiple of the Lammps reneighbor frequency

## related

see atom_element_map_type and boundary

## default

off